com.pixelmed.test

## Class TestCTDose

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - com.pixelmed.test.TestCTDose

All Implemented Interfaces:
  junit.framework.Test

    public class TestCTDose
    extends junit.framework.TestCase

### Constructor Summary

Constructors
Constructor and Description
`TestCTDose(java.lang.String name)`

### Method Summary

Methods
`protected void` `setUp()`
`static junit.framework.Test` `suite()`
`protected void` `tearDown()`
`void` `testCTDoseConstructor_PropagationOfDescriptionToAttributeList_DoesNotOverwriteIfStudyDescriptionAlreadyInCompositeInstanceContext()`
`void` `testCTDoseConstructor_PropagationOfDescriptionToAttributeList_IfNoStudyDescriptionInCompositeInstanceContext()`
`void` `testCTDoseConstructor_WithAllParameters()`
`void` `testCTDoseConstructor_WithAllParametersAndThreeAcquisitionsInTwoSeries()`
`void` `testCTDoseConstructor_WithOneAcquisitionsAndNoTotalDLP()`
`void` `testCTDoseConstructor_WithSeparateHeadAndBodyAcquisitions()`
`void` `testCTDoseConstructor_WithSeparateHeadAndBodyTotalDLPConstructor()`
`void` `testCTDoseConstructor_WithSeparateHeadAndBodyTotalDLPSet()`

### Methods inherited from class junit.framework.TestCase

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TestCTDose

    public TestCTDose(java.lang.String name)

### Method Detail

#### suite

    public static junit.framework.Test suite()

#### setUp

    protected void setUp()

Overrides:
  `setUp` in class `junit.framework.TestCase`

#### tearDown

    protected void tearDown()

Overrides:
  `tearDown` in class `junit.framework.TestCase`

#### testCTDoseConstructor_WithAllParameters

    public void testCTDoseConstructor_WithAllParameters()
                                                 throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testCTDoseConstructor_WithAllParametersAndThreeAcquisitionsInTwoSeries

    public void testCTDoseConstructor_WithAllParametersAndThreeAcquisitionsInTwoSeries()
                                                                                throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testCTDoseConstructor_WithOneAcquisitionsAndNoTotalDLP

    public void testCTDoseConstructor_WithOneAcquisitionsAndNoTotalDLP()
                                                                throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testCTDoseConstructor_PropagationOfDescriptionToAttributeList_IfNoStudyDescriptionInCompositeInstanceContext

    public void testCTDoseConstructor_PropagationOfDescriptionToAttributeList_IfNoStudyDescriptionInCompositeInstanceContext()
                                                                                                                      throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testCTDoseConstructor_PropagationOfDescriptionToAttributeList_DoesNotOverwriteIfStudyDescriptionAlreadyInCompositeInstanceContext

    public void testCTDoseConstructor_PropagationOfDescriptionToAttributeList_DoesNotOverwriteIfStudyDescriptionAlreadyInCompositeInstanceContext()
                                                                                                                                           throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testCTDoseConstructor_WithSeparateHeadAndBodyTotalDLPConstructor

    public void testCTDoseConstructor_WithSeparateHeadAndBodyTotalDLPConstructor()
                                                                          throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testCTDoseConstructor_WithSeparateHeadAndBodyTotalDLPSet

    public void testCTDoseConstructor_WithSeparateHeadAndBodyTotalDLPSet()
                                                                  throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testCTDoseConstructor_WithSeparateHeadAndBodyAcquisitions

    public void testCTDoseConstructor_WithSeparateHeadAndBodyAcquisitions()
                                                                   throws java.lang.Exception

Throws:
  `java.lang.Exception`